Game.Preloader = {
  preload: function() {
    var loader = this.add.image(this.game.world.centerX - 78, 50, 'loader');
    this.load.setPreloadSprite(loader);

    this.load.spritesheet('elements', '<%= asset_path('sprite-elements.png') %>', 75, 75);
    this.load.spritesheet('elementsSelected', '<%= asset_path('sprite-elements-selected.png') %>', 75, 75);
    this.load.spritesheet('explosion', '<%= asset_path('explosion.png') %>', 75, 75);

    this.load.image('selectLevelBg', '<%= asset_path('select_level.png') %>');
    this.load.image('cityBg', '<%= asset_path('city.jpg') %>');
    this.load.image('factoryBg', '<%= asset_path('factory.jpg') %>');
    this.load.image('mineBg', '<%= asset_path('mine.jpg') %>');
    this.load.image('seaBg', '<%= asset_path('sea.jpg') %>');

    this.load.image('home', '<%= asset_path('home.png') %>');
    this.load.image('homeBg', '<%= asset_path('home_bg.jpg') %>');
    this.load.image('playBtn', '<%= asset_path('play_button.png') %>');

    this.load.audio('tap', '<%= asset_path('tap.mp3') %>');
    this.load.audio('moveIn', '<%= asset_path('move-in.mp3') %>');
    this.load.audio('moveOut', '<%= asset_path('move-out.mp3') %>');
    this.load.audio('win', '<%= asset_path('win.mp3') %>');
    this.load.audio('explosion', '<%= asset_path('explosion.mp3') %>');
  },

  create: function() {
    Game.Sounds.tap = this.game.add.sound('tap');
    Game.Sounds.moveIn = this.game.add.sound('moveIn');
    Game.Sounds.moveOut = this.game.add.sound('moveOut');
    Game.Sounds.win = this.game.add.sound('win');
    Game.Sounds.explosion = this.game.add.sound('explosion');
    <% if Rails.env.production? %>
      this.state.start('MainMenu');
    <% else %>
      this.state.start("SelectLevel");
      Game.User.level = 'I';
      Game.User.sublevel = 1;
    <% end %>
  }
}
